dnl  AUTOCONF configuration for the READLINE library
dnl  Bruno Haible 1.2.1994
dnl
dnl  configure.in ---<autoconf>--->> configure
dnl
dnl  configure    ---<sh>--->> config.status
dnl                      --->> sysdep.h
dnl          Makefile.in --->> Makefile
dnl
dnl  Makefile     ---<make>--->> libreadline.a
dnl
dnl
AC_INIT(readline.c)
AC_CONFIG_HEADER(config.h)
dnl
dnl           checks for programs
dnl
AC_PROG_CC
                      dnl sets variable CC
AC_PROG_CPP
                      dnl sets variable CPP
AC_GCC_TRADITIONAL
                      dnl modifies variable CC
AC_PROG_RANLIB
                      dnl sets variable RANLIB
AC_PROG_INSTALL
                      dnl sets variables INSTALL, INSTALL_DATA, INSTALL_PROGRAM
dnl
dnl           checks for UNIX variants that set DEFS
dnl
AC_AIX
                      dnl DEFS _ALL_SOURCE
AC_ISC_POSIX
                      dnl DEFS _POSIX_SOURCE, LIBS
AC_MINIX
                      dnl DEFS _POSIX_SOURCE
dnl
dnl           checks for compiler characteristics
dnl
AC_CONST
                      dnl DEFS const
AC_INLINE
                      dnl DEFS inline
RL_VOID
                      dnl DEFS void
dnl
dnl           checks for header files
dnl
CL_STDC_HEADERS
                      dnl DEFS STDC_HEADERS if exist stdlib.h, stdarg.h, ...
CL_UNISTD_H
                      dnl DEFS HAVE_UNISTD_H if exist unistd.h
CL_OPENFLAGS
                      dnl DEFS NEED_SYS_FILE_H if sys/file.h is needed for the open() flags
AC_DIR_HEADER
                      dnl directory reading functions
AC_XENIX_DIR
                      dnl directory reading functions for Xenix
RL_TERM
                      dnl DEFS HAVE_TERMIOS_H, HAVE_TERMIO_H, HAVE_SYS_TERMIO_H, HAVE_SGTTY_H,
                      dnl      HAVE_TCGETATTR, HAVE_TCFLOW,
                      dnl      HAVE_SYS_STREAM_H, HAVE_SYS_PTEM_H,
                      dnl      HAVE_FIONREAD, NEED_SYS_FILIO_H, NEED_SYS_IOCTL_H
dnl
dnl           checks for typedefs
dnl
dnl
dnl           checks for structure members
dnl
dnl
dnl           checks for functions
dnl
AC_ALLOCA
                      dnl set variable ALLOCA
AC_HAVE_FUNCS(strchr strrchr strpbrk)
                      dnl DEFS HAVE_STRCHR, HAVE_STRRCHR, HAVE_STRPBRK
RL_RETSIGTYPE
                      dnl DEFS RETSIGTYPE_VOID
CL_SIGNALBLOCK
                      dnl DEFS SIGNALBLOCK_POSIX, SIGNALBLOCK_SYSV, SIGNALBLOCK_BSD
dnl
dnl           other checks for UNIX variants
dnl
AC_OUTPUT(Makefile)

